<?php

namespace Hura8\Components\Product\AdminController;

use Hura8\Components\Product\Controller\bProductCollectionController;
use Hura8\Interfaces\iEntityAdminCategoryController;
use Hura8\Traits\AdminEntityCategoryControllerTraits;


class AProductCollectionController extends bProductCollectionController implements iEntityAdminCategoryController
{

    use AdminEntityCategoryControllerTraits;

    public function updateProduct($product_id, $collection_id, array $info)
    {
        return $this->objProductCollectionModel->updateProduct($product_id, $collection_id, $info);
    }


    public function removeProduct($product_id, $collection_id)
    {
        return $this->objProductCollectionModel->removeProduct($product_id, $collection_id);
    }


    public function addProduct($product_id, $collection_id, $ordering=0)
    {
        return $this->objProductCollectionModel->addProduct($product_id, $collection_id, $ordering);
    }


}
